-- Do not manually edit this file, it was auto-generated by dillonkearns/elm-graphql
-- https://github.com/dillonkearns/elm-graphql


module ChemicalsApi.Object.ChemicalManufacturer exposing (..)

import ChemicalsApi.InputObject
import ChemicalsApi.Interface
import ChemicalsApi.Object
import ChemicalsApi.Scalar
import ChemicalsApi.Union
import CustomScalarCodecs
import Graphql.Internal.Builder.Argument as Argument exposing (Argument)
import Graphql.Internal.Builder.Object as Object
import Graphql.Internal.Encode as Encode exposing (Value)
import Graphql.Operation exposing (RootMutation, RootQuery, RootSubscription)
import Graphql.OptionalArgument exposing (OptionalArgument(..))
import Graphql.SelectionSet exposing (SelectionSet)
import Json.Decode as Decode


manufacturer : SelectionSet decodesTo ChemicalsApi.Object.Manufacturer -> SelectionSet decodesTo ChemicalsApi.Object.ChemicalManufacturer
manufacturer object_ =
    Object.selectionForCompositeField "manufacturer" [] object_ identity


manufacturerNumber : SelectionSet String ChemicalsApi.Object.ChemicalManufacturer
manufacturerNumber =
    Object.selectionForField "String" "manufacturerNumber" [] Decode.string
